Bug 236492 - Review Request: ruby-bsearch - Binary search library for Ruby
Review Request: ruby-bsearch - Binary search library for Ruby
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
Depends On:
Blocks: 236493
  Show dependency treegraph
 
Reported: 2007-04-15 05:15 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 21:12:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
chitlesh: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-04-15 05:15:51 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/ruby-bsearch.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/ruby-bsearch-1.5-1.fc7.src.rpm
Mock build log on FC-devel i386: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/LOGS/MOCK-ruby-bsearch.log

Description: 
Ruby/Bsearch is a binary search library for Ruby. It can search the FIRST or
LAST occurrence in an array with a condition given by a block.
Comment 1 Nigel Jones 2007-04-15 05:46:23 EDT
Prereview as I'm still awaiting a sponsor:

[build@ip-50 SPECS]$ rpmbuild -ba ruby-bsearch.spec
sh: ruby: command not found
sh: ruby: command not found
sh: ruby: command not found
error: Failed build dependencies:
        ruby is needed by ruby-bsearch-1.5-1.noarch
[build@ip-50 SPECS]$
From: %{!?ruby_sitelib:       %define ruby_sitelib    %(ruby -rrbconfig -e "puts
Config::CONFIG['sitelibdir']")}

Other than that, rpmlint clean, and matches policy requirements (from my knowledge).

Comment 2 Nigel Jones 2007-04-15 05:55:19 EDT
Sorry, one more mistake:
[build@ip-50 SPECS]$ rpm -qlp ../RPMS/noarch/ruby-bsearch-1.5-1.noarch.rpm
/usr/lib/ruby/site_ruby/1.8/bsearch.rb
/usr/share/doc/ruby-bsearch-1.5
/usr/share/doc/ruby-bsearch-1.5/ChangeLog
/usr/share/doc/ruby-bsearch-1.5/bsearch.en.rd
/usr/share/doc/ruby-bsearch-1.5/bsearch.ja.rd
/usr/share/doc/ruby-bsearch-1.5/bsearch.png
[build@ip-50 SPECS]$ grep License ruby-bsearch.spec
License:        GPL

From ReviewGuidelines:
SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it.

Also, according to bsearch.rb, it is licensed under ruby's license, which
looking at /usr/share/doc/ruby-1.8.5.35/COPYING is GPL plus a custom one.  Might
be better to reference as Ruby(GPL)?
Comment 3 Mamoru TASAKA 2007-04-15 06:04:43 EDT
(In reply to comment #1)
> Prereview as I'm still awaiting a sponsor:
> 
> [build@ip-50 SPECS]$ rpmbuild -ba ruby-bsearch.spec
> sh: ruby: command not found
> sh: ruby: command not found
> sh: ruby: command not found
> error: Failed build dependencies:
>         ruby is needed by ruby-bsearch-1.5-1.noarch
ruby is in BuildRequires.

(In reply to comment #2)
> From ReviewGuidelines:
> SHOULD: If the source package does not include license text(s) as a separate
> file from upstream, the packager SHOULD query upstream to include it.
Check bsearch.en.rd


> Also, according to bsearch.rb, it is licensed under ruby's license, which
> looking at /usr/share/doc/ruby-1.8.5.35/COPYING is GPL plus a custom one.  Might
> be better to reference as Ruby(GPL)?
I don't know the Ruby(GPL) license tag. ruby uses
"Ruby License/GPL", and actually this is a simple dual
license and referring to the license as GPL is not a
problem.

Comment 4 Nigel Jones 2007-04-15 06:28:54 EDT
(In reply to comment #3)
> (In reply to comment #1)
> > Prereview as I'm still awaiting a sponsor:
> > 
> > [build@ip-50 SPECS]$ rpmbuild -ba ruby-bsearch.spec
> > sh: ruby: command not found
> > sh: ruby: command not found
> > sh: ruby: command not found
> > error: Failed build dependencies:
> >         ruby is needed by ruby-bsearch-1.5-1.noarch
> ruby is in BuildRequires.

True, but this happens before build requires are processed, but I've noticed
that it happens no matter where the line is in the specfile.

I'd approve if I could.
Comment 5 Mamoru TASAKA 2007-04-15 06:40:15 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #1)
> > > Prereview as I'm still awaiting a sponsor:
> > > 
> > > [build@ip-50 SPECS]$ rpmbuild -ba ruby-bsearch.spec
> > > sh: ruby: command not found
> > > sh: ruby: command not found
> > > sh: ruby: command not found
> > > error: Failed build dependencies:
> > >         ruby is needed by ruby-bsearch-1.5-1.noarch
> > ruby is in BuildRequires.
> 
> True, but this happens before build requires are processed, but I've noticed
> that it happens no matter where the line is in the specfile.

Yes, ruby_sitelib cannot be defined before build requires are
processed, however ruby_sitelib is not used at this stage and
this is not a problem. Check what happens on mock build log.
this situation is not unusual.

> I'd approve if I could.
What do you mean?
Comment 6 Nigel Jones 2007-04-15 06:47:46 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > I'd approve if I could.
> What do you mean?
> 

I was refering to the fact that if I was in a position to do an actual review
(and approve new packages), I'd approve it, but as I'm unsponsored I can't. 
Sorry if I put it in a confusing way.
Comment 7 Chitlesh GOORAH 2007-04-16 03:18:28 EDT
MUST Items:

- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license 
and meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license 
Ruby(GPL).
- MUST: The spec file is written in American English.
- MUST: The sources used to build the package must matches the upstream 
source, as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files 
listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} 
(or $RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros 
section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described 
in detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If 
it is in %doc, the program must run properly if it is not present.
- MUST: The package does not contain library files with a suffix 
- MUST: Package does not own files or directories already owned by other 
packages. 

SHOULD Items:

 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED!
Comment 8 Mamoru TASAKA 2007-04-16 03:50:40 EDT
Thank you!

Request for CVS admin:
-------------------------------------------------
New Package CVS Request
=======================
Package Name:          ruby-bsearch
Short Description:     Binary search library for Ruby
Owners:                mtasaka@ioa.s.u-tokyo.ac.jp
Branches:              devel FC-6 FC-5
InitialCC:             (nobody)
--------------------------------------------------
Comment 9 Mamoru TASAKA 2007-04-16 21:12:15 EDT
Rebuilt for all branches, closing.
Thank you for reviewing and approving this package!!

Note You need to log in before you can comment on or make changes to this bug.